#!/bin/bash
# Stop Wake-on-LAN request for Buffalo LinkStation
#
# This program simply deletes the lock file for the continous ping process.
#
# by Matthias Arndt <marndt@asmsoftware.de>
#

LOCKFILE=$HOME/.linkstation-wol


if [ -f $LOCKFILE ]; then

	rm -f $LOCKFILE

	DISPLAY=:0.0 zenity --info  \
   --title="Wake-on-LAN deaktiviert"  \
   --text="Wake-on-LAN für Buffalo Linkstation wurde deaktiviert"
   
   exit 0
   
else
	DISPLAY=:0.0 zenity --error \
   --title="Wake-on-LAN nicht aktiv" \
   --text="Wake-on-LAN für Buffalo Linkstation ist nicht aktiv."

	exit 1
fi
