#!/bin/bash
# Wake-on-LAN Skipt for Buffalo LinkStation
# based upon http://www.stqu.de/joomla/index.php/tutorials/16-linux/60-buffalo-linkstation-einschalten-via-wol
#
# adapted by Matthias Arndt <marndt@asmsoftware.de>
#

HOST="192.168.200.211"
MAC_ID="00:00:00:00:00:00"
LOCKFILE=$HOME/.linkstation-wol
ICONFILE=$HOME/Graphics/icons/NAS/ls-wsgl.ico
#
# LOCK file to disable linkstation WOL
touch $HOME/.linkstation-wol

sleep 60
#
if [ ! "$(ping -c1 ${HOST})" ]; then
   DISPLAY=:0.0 zenity --error
   --title="Die Buffalo Linkstation wurde nicht gefunden."
   --text="Die IP-Adresse ${HOST} konnte nicht angepingt werden."
   exit 1
fi
wakeonlan -i ${HOST} -p 9 ${MAC_ID}
sleep 120
notify-send -i $ICONFILE 'Buffalo LinkStation' 'Wake-on-LAN is active' 
# Endlosschleife für den dauer-Wake-On-Lan-Befehl
while [ -f $LOCKFILE ] 
do
   wakeonlan -i ${HOST} -p 9 ${MAC_ID}
   sleep 240
done
notify-send -i $ICONFILE 'Buffalo LinkStation' 'Wake-on-LAN is now inactive'
exit 0
